* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    color: #303030;
    font-family: 'Roboto', sans-serif;
}

::-webkit-scrollbar {
    width: 6px;
}

::-webkit-scrollbar-track {
    background: none;
}

::-webkit-scrollbar-thumb {
    background: #b9b3ae;
}

::-webkit-scrollbar-thumb:hover {
    background: #888;
}

.avatar {
    position: relative;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    overflow: hidden;
}

.avatar img, .chat-avatar img{
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.chat-header-right img {
    width: 20px;
    height: 20px;
    margin: 5px 13px;
    opacity: 0.4;
}


body {
    display: flex;
    overflow: hidden;
}

.sidebar {
    flex: 5.17;
}

@media (max-width: 428px) {
    .sidebar {
        flex : 100%;
    }
}


.header {
    background-color: #ededed;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 15px;
    border-right: 1px solid rgba(0, 0, 0, 0.1);
}

@media (max-width: 428px) {
    .header {
        border-right : none;
        padding: 3px 0;
    }
}

.sidebar-search {
    display: flex;
    align-items: center;
    background-color: #f6f6f6;
    padding: 8px 15px;
}

.sidebar-search-container {
    display: flex;
    align-items: center;
    background-color: white;
    width: 100%;
    height: 35px;
    border-radius: 20px;
}

.sidebar-search-container img {
    width: 15px;
    height: 15px;
    margin: 0 15px;
    opacity: 0.4;
}

.sidebar-search-container input {
    border: none;
    outline: none;
    margin-left: 20px;
}

.chat-avatar {
    position: relative;
    height: 50px;
    min-width: 50px;
    border-radius: 50%;
    overflow: hidden;
    flex: 1;
}

.sidebar-chats {
    height: calc(100vh - 115px);
    overflow-y: scroll;
}

.sidebar-chat {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding: 10px 12px;
    width: 100%;
    cursor:pointer;
}

.sidebar-chat:hover {
    background-color: #f5f5f5;
}

.active {
    background-color: #ebebeb;
}

.sidebar-chat::before {
    content: '';
    position: absolute;
    width: 80%;
    bottom: 0;
    left: 80px;
    border-bottom: 1px solid  #999;
    opacity: 0.2;
}

.chat-info {
    margin-left: 15px;
    flex: 10;
}

.chat-info p {
    font-size: 13px;
    line-height: 20px;
    color: gray;
}

.time {
    flex: 1;
}

.time p{
    white-space: nowrap;
    font-size: 13px;
    margin-top: -16px;
    color: gray;
}

/* MESSAGE CONTENT */

.message-container {
    flex: 12;
}

@media screen and (max-width: 428px) {
    .message-container {
        display : none;
    }
}


.chat-title {
    display: flex;
    align-items: center;
}

@media screen and (max-width: 428px) {
    .chat-title {
        flex: 5;
    }
}

.message-header-content {
    margin-left:15px;
}

h4 {
    font-weight: 400;
}

.message-header-content p {
    font-size: 13px;
    color: gray;
}

@media screen and (max-width: 428px) {
    #mobile-video-call-icon {
        opacity : unset;
    }
}

@media screen and (max-width: 428px) {
    #mobile-audio-call-icon {
        opacity : unset;
    }
}

.message-content {
    background-image: url(background.png);
    background-position: center;
    height: calc(100vh - 120px);
    padding: 20px 80px;
    overflow-y: scroll;
}

@media screen and (max-width: 428px) {
    .message-content {
        padding: 10px 10px;
    }
}

.chat-message {
    font-size: 14px;
    padding: 8px 10px;
    width: fit-content;
    border-radius: 8px;
    background-color: white;
    margin-bottom: 30px;
}

@media screen and (max-width: 428px) {
    .chat-message {
        font-size: 12px;
        margin-bottom: 10px;
    }
}

.chat-sent {
    margin-left: auto;
    background-color: #dcf8c6;
}

.chat-timestamp {
    margin-left: 10px;
    font-size: 10px;
    color: gray;
}

/* MESSAGE FOOTER */

.message-footer {
    display: flex;
    align-items: center;
    padding: 5px 10px;
    background-color: #f0f0f0;
}

.message-footer img {
    flex: 1;
    width: 22px;
    height: 22px;
    opacity: 0.4;
}

.message-footer input {
    flex: 20;
    margin: 5px 10px;
    padding: 12px 15px;
    outline: none;
    border: none;
    border-radius: 20px;
    font-size: 15px;
}